import { RangeSeekBarBase, minValueProperty, maxValueProperty, minStartValueProperty, maxStartValueProperty, minRangeProperty, stepProperty, cornerRadiusProperty, cornerRadiusCssProperty, barHeightProperty, barHeightCssProperty, barColorProperty, barColorCssProperty, barHighlightColorProperty, barHighlightColorCssProperty, thumbColorProperty, thumbColorCssProperty, leftThumbColorProperty, leftThumbColorCssProperty, rightThumbColorProperty, rightThumbColorCssProperty, leftThumbHighlightProperty, leftThumbHighlightCssProperty, rightThumbHighlightProperty, rightThumbHighlightCssProperty, } from "./range-seek-bar.common";
export class RangeSeekBar extends RangeSeekBarBase {
    createNativeView() {
        const crystalRangeSeekBar = new com.crystal.crystalrangeseekbar.widgets.CrystalRangeSeekbar(this._context);
        crystalRangeSeekBar.setDataType(com.crystal.crystalrangeseekbar.widgets.CrystalRangeSeekbar.DataType.LONG);
        crystalRangeSeekBar.setSteps(1);
        crystalRangeSeekBar.setCornerRadius(20);
        crystalRangeSeekBar.setBarHeight(5).apply();
        crystalRangeSeekBar.setMinStartValue(0).apply();
        crystalRangeSeekBar.setMaxStartValue(0).apply();
        initRangeSeekbarChangeListener();
        const rangeSeekbarChangeListener = new RangeSeekbarChangeListener(new WeakRef(this));
        crystalRangeSeekBar.setOnRangeSeekbarChangeListener(rangeSeekbarChangeListener);
        initRangeSeekbarFinalValueListener();
        const rangeSeekbarFinalValueListener = new RangeSeekbarFinalValueListener(new WeakRef(this));
        crystalRangeSeekBar.setOnRangeSeekbarFinalValueListener(rangeSeekbarFinalValueListener);
        return crystalRangeSeekBar;
    }
    updateMinStartValue(minValue) {
        this.nativeView.setMinStartValue(minValue).apply();
        this.nativeView.setMinStartValue(minValue);
    }
    updateMaxStartValue(maxValue) {
        this.nativeView.setMaxStartValue(maxValue).apply();
        this.nativeView.setMinStartValue(maxValue);
    }
    [minValueProperty.setNative](value) {
        this.nativeView.setMinValue(value);
    }
    [maxValueProperty.setNative](value) {
        this.nativeView.setMaxValue(value);
    }
    [minStartValueProperty.setNative](value) {
        this.nativeView.setMinStartValue(value).apply();
    }
    [maxStartValueProperty.setNative](value) {
        this.nativeView.setMaxStartValue(value).apply();
    }
    [minRangeProperty.setNative](value) {
        this.nativeView.setGap(value);
    }
    [stepProperty.setNative](value) {
        if (Number.isInteger(value)) {
            this.nativeView.setDataType(com.crystal.crystalrangeseekbar.widgets.CrystalRangeSeekbar.DataType.LONG);
        }
        else {
            this.nativeView.setDataType(com.crystal.crystalrangeseekbar.widgets.CrystalRangeSeekbar.DataType.DOUBLE);
        }
        this.nativeView.setSteps(value);
    }
    [cornerRadiusProperty.setNative](value) {
        this.nativeView.setCornerRadius(value);
    }
    [cornerRadiusCssProperty.setNative](value) {
        this.nativeView.setCornerRadius(value);
    }
    [barHeightProperty.setNative](value) {
        this.nativeView.setBarHeight(value).apply();
    }
    [barHeightCssProperty.setNative](value) {
        this.nativeView.setBarHeight(value).apply();
    }
    [barColorProperty.setNative](value) {
        this.nativeView.setBarColor(value.android);
    }
    [barColorCssProperty.setNative](value) {
        this.nativeView.setBarColor(value.android);
    }
    [barHighlightColorProperty.setNative](value) {
        this.nativeView.setBarHighlightColor(value.android);
    }
    [barHighlightColorCssProperty.setNative](value) {
        this.nativeView.setBarHighlightColor(value.android);
    }
    [thumbColorProperty.setNative](value) {
        this.nativeView.setLeftThumbColor(value.android);
        this.nativeView.setRightThumbColor(value.android);
        this.nativeView.setLeftThumbHighlightColor(value.android);
        this.nativeView.setRightThumbHighlightColor(value.android);
    }
    [thumbColorCssProperty.setNative](value) {
        this.nativeView.setLeftThumbColor(value.android);
        this.nativeView.setRightThumbColor(value.android);
        this.nativeView.setLeftThumbHighlightColor(value.android);
        this.nativeView.setRightThumbHighlightColor(value.android);
    }
    [leftThumbColorProperty.setNative](value) {
        this.nativeView.setLeftThumbColor(value.android);
    }
    [leftThumbColorCssProperty.setNative](value) {
        this.nativeView.setLeftThumbColor(value.android);
    }
    [rightThumbColorProperty.setNative](value) {
        this.nativeView.setRightThumbColor(value.android);
    }
    [rightThumbColorCssProperty.setNative](value) {
        this.nativeView.setRightThumbColor(value.android);
    }
    [leftThumbHighlightProperty.setNative](value) {
        this.nativeView.setLeftThumbHighlightColor(value.android);
    }
    [leftThumbHighlightCssProperty.setNative](value) {
        this.nativeView.setLeftThumbHighlightColor(value.android);
    }
    [rightThumbHighlightProperty.setNative](value) {
        this.nativeView.setRightThumbHighlightColor(value.android);
    }
    [rightThumbHighlightCssProperty.setNative](value) {
        this.nativeView.setRightThumbHighlightColor(value.android);
    }
}
let RangeSeekbarChangeListener;
function initRangeSeekbarChangeListener() {
    if (RangeSeekbarChangeListener) {
        return;
    }
    let RangeSeekbarChangeListenerImpl = class RangeSeekbarChangeListenerImpl extends java.lang.Object {
        constructor(owner) {
            super();
            this.owner = owner;
            return global.__native(this);
        }
        valueChanged(minValue, maxValue) {
            if (this.owner && this.owner.get()) {
                let args = {
                    eventName: RangeSeekBarBase.rangeSeekBarChangedEvent,
                    object: this.owner,
                    value: {
                        minValue: minValue,
                        maxValue: maxValue
                    }
                };
                this.owner.get().notify(args);
            }
        }
    };
    RangeSeekbarChangeListenerImpl = __decorate([
        Interfaces([com.crystal.crystalrangeseekbar.interfaces.OnRangeSeekbarChangeListener]),
        NativeClass(),
        __metadata("design:paramtypes", [WeakRef])
    ], RangeSeekbarChangeListenerImpl);
    RangeSeekbarChangeListener = RangeSeekbarChangeListenerImpl;
}
let RangeSeekbarFinalValueListener;
function initRangeSeekbarFinalValueListener() {
    if (RangeSeekbarFinalValueListener) {
        return;
    }
    let RangeSeekbarFinalValueListenerImpl = class RangeSeekbarFinalValueListenerImpl extends java.lang.Object {
        constructor(owner) {
            super();
            this.owner = owner;
            return global.__native(this);
        }
        finalValue(minValue, maxValue) {
            if (this.owner && this.owner.get()) {
                let args = {
                    eventName: RangeSeekBarBase.rangeSeekBarFinalValueEvent,
                    object: this.owner,
                    value: {
                        minValue: minValue,
                        maxValue: maxValue
                    }
                };
                this.owner.get().notify(args);
            }
        }
    };
    RangeSeekbarFinalValueListenerImpl = __decorate([
        Interfaces([com.crystal.crystalrangeseekbar.interfaces.OnRangeSeekbarFinalValueListener]),
        NativeClass(),
        __metadata("design:paramtypes", [WeakRef])
    ], RangeSeekbarFinalValueListenerImpl);
    RangeSeekbarFinalValueListener = RangeSeekbarFinalValueListenerImpl;
}
//# sourceMappingURL=range-seek-bar.android.js.map