import { View, Property, EventData, Style, CssProperty, Color } from "@nativescript/core";
export interface RangeSeekBarEventData extends EventData {
    eventName: string;
    object: any;
    value: {
        minValue: number;
        maxValue: number;
    };
}
export declare class RangeSeekBarBase extends View {
    static rangeSeekBarChangedEvent: string;
    static rangeSeekBarFinalValueEvent: string;
    updateMinStartValue(minValue: number): void;
    updateMaxStartValue(maxValue: number): void;
}
export declare const minValueProperty: Property<RangeSeekBarBase, number>;
export declare const maxValueProperty: Property<RangeSeekBarBase, number>;
export declare const minStartValueProperty: Property<RangeSeekBarBase, number>;
export declare const maxStartValueProperty: Property<RangeSeekBarBase, number>;
export declare const minRangeProperty: Property<RangeSeekBarBase, number>;
export declare const stepProperty: Property<RangeSeekBarBase, number>;
export declare const cornerRadiusProperty: Property<RangeSeekBarBase, number>;
export declare const cornerRadiusCssProperty: CssProperty<Style, number>;
export declare const barHeightProperty: Property<RangeSeekBarBase, number>;
export declare const barHeightCssProperty: CssProperty<Style, number>;
export declare const barColorProperty: Property<RangeSeekBarBase, Color>;
export declare const barColorCssProperty: CssProperty<Style, Color>;
export declare const barHighlightColorProperty: Property<RangeSeekBarBase, Color>;
export declare const barHighlightColorCssProperty: CssProperty<Style, Color>;
export declare const thumbColorProperty: Property<RangeSeekBarBase, Color>;
export declare const thumbColorCssProperty: CssProperty<Style, Color>;
export declare const leftThumbColorProperty: Property<RangeSeekBarBase, Color>;
export declare const leftThumbColorCssProperty: CssProperty<Style, Color>;
export declare const rightThumbColorProperty: Property<RangeSeekBarBase, Color>;
export declare const rightThumbColorCssProperty: CssProperty<Style, Color>;
export declare const leftThumbHighlightProperty: Property<RangeSeekBarBase, Color>;
export declare const leftThumbHighlightCssProperty: CssProperty<Style, Color>;
export declare const rightThumbHighlightProperty: Property<RangeSeekBarBase, Color>;
export declare const rightThumbHighlightCssProperty: CssProperty<Style, Color>;
