import { View, Property, Style, CssProperty, Color, } from "@nativescript/core";
export class RangeSeekBarBase extends View {
    updateMinStartValue(minValue) { }
    updateMaxStartValue(maxValue) { }
}
RangeSeekBarBase.rangeSeekBarChangedEvent = "rangeSeekBarChanged";
RangeSeekBarBase.rangeSeekBarFinalValueEvent = "rangeSeekBarFinalValue";
export const minValueProperty = new Property({
    name: "minValue",
    defaultValue: 0,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'minValue' must be a number");
    }
});
minValueProperty.register(RangeSeekBarBase);
export const maxValueProperty = new Property({
    name: "maxValue",
    defaultValue: 0,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'maxValue' must be a number");
    }
});
maxValueProperty.register(RangeSeekBarBase);
export const minStartValueProperty = new Property({
    name: "minStartValue",
    defaultValue: 0,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'minStartValue' must be a number");
    }
});
minStartValueProperty.register(RangeSeekBarBase);
export const maxStartValueProperty = new Property({
    name: "maxStartValue",
    defaultValue: 0,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'maxStartValue' must be a number");
    }
});
maxStartValueProperty.register(RangeSeekBarBase);
export const minRangeProperty = new Property({
    name: "minRange",
    defaultValue: 0,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'minRange' must be a number");
    }
});
minRangeProperty.register(RangeSeekBarBase);
export const stepProperty = new Property({
    name: "step",
    defaultValue: 1,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'step' must be a number");
    }
});
stepProperty.register(RangeSeekBarBase);
export const cornerRadiusProperty = new Property({
    name: "cornerRadius",
    defaultValue: 1,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'cornerRadius' must be a number");
    }
});
cornerRadiusProperty.register(RangeSeekBarBase);
export const cornerRadiusCssProperty = new CssProperty({
    name: "cornerRadius",
    cssName: "corner-radius",
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'cornerRadius' must be a number");
    }
});
cornerRadiusCssProperty.register(Style);
export const barHeightProperty = new Property({
    name: "barHeight",
    defaultValue: 2,
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'barHeight' must be a number");
    }
});
barHeightProperty.register(RangeSeekBarBase);
export const barHeightCssProperty = new CssProperty({
    name: "barHeight",
    cssName: "bar-height",
    valueConverter: (v) => {
        if (parseFloat(v) !== NaN) {
            return parseFloat(v);
        }
        throw new Error("Property 'barHeight' must be a number");
    }
});
barHeightCssProperty.register(Style);
export const barColorProperty = new Property({
    name: "barColor",
    valueConverter: (v) => new Color(v)
});
barColorProperty.register(RangeSeekBarBase);
export const barColorCssProperty = new CssProperty({
    name: "barColor",
    cssName: "bar-color",
    valueConverter: (v) => new Color(v)
});
barColorCssProperty.register(Style);
export const barHighlightColorProperty = new Property({
    name: "barHighlightColor",
    valueConverter: (v) => new Color(v)
});
barHighlightColorProperty.register(RangeSeekBarBase);
export const barHighlightColorCssProperty = new CssProperty({
    name: "barHighlightColor",
    cssName: "bar-highlight-color",
    valueConverter: (v) => new Color(v)
});
barHighlightColorCssProperty.register(Style);
export const thumbColorProperty = new Property({
    name: "thumbColor",
    valueConverter: (v) => new Color(v)
});
thumbColorProperty.register(RangeSeekBarBase);
export const thumbColorCssProperty = new CssProperty({
    name: "thumbColor",
    cssName: "thumb-color",
    valueConverter: (v) => new Color(v)
});
thumbColorCssProperty.register(Style);
export const leftThumbColorProperty = new Property({
    name: "leftThumbColor",
    valueConverter: (v) => new Color(v)
});
leftThumbColorProperty.register(RangeSeekBarBase);
export const leftThumbColorCssProperty = new CssProperty({
    name: "leftThumbColor",
    cssName: "left-thumb-color",
    valueConverter: (v) => new Color(v)
});
leftThumbColorCssProperty.register(Style);
export const rightThumbColorProperty = new Property({
    name: "rightThumbColor",
    valueConverter: (v) => new Color(v)
});
rightThumbColorProperty.register(RangeSeekBarBase);
export const rightThumbColorCssProperty = new CssProperty({
    name: "rightThumbColor",
    cssName: "right-thumb-color",
    valueConverter: (v) => new Color(v)
});
rightThumbColorCssProperty.register(Style);
export const leftThumbHighlightProperty = new Property({
    name: "leftThumbHighlight",
    valueConverter: (v) => new Color(v)
});
leftThumbHighlightProperty.register(RangeSeekBarBase);
export const leftThumbHighlightCssProperty = new CssProperty({
    name: "leftThumbHighlight",
    cssName: "left-thumb-highlight-color",
    valueConverter: (v) => new Color(v)
});
leftThumbHighlightCssProperty.register(Style);
export const rightThumbHighlightProperty = new Property({
    name: "rightThumbHighlight",
    valueConverter: (v) => new Color(v)
});
rightThumbHighlightProperty.register(RangeSeekBarBase);
export const rightThumbHighlightCssProperty = new CssProperty({
    name: "rightThumbHighlight",
    cssName: "right-thumb-highlight-color",
    valueConverter: (v) => new Color(v)
});
rightThumbHighlightCssProperty.register(Style);
//# sourceMappingURL=range-seek-bar.common.js.map